Change in osmo-ttcn3-hacks[master]: ttcn3-tcpdump-stop: add timeout for talloc report

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

osmith gerrit-no-reply at lists.osmocom.org
Fri Dec 17 15:21:59 UTC 2021


osmith has submitted this change. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/26601 )

Change subject: ttcn3-tcpdump-stop: add timeout for talloc report
......................................................................

ttcn3-tcpdump-stop: add timeout for talloc report

Prevent the script from idling for several minutes without any output if
obtaining the talloc report does not work. It seems to get killed
eventually, but trying for 5s should be enough.

Change-Id: I1bc5baeb94ecd25e1cdab98b060b99747c19d1f9
---
M ttcn3-tcpdump-stop.sh
1 file changed, 7 insertions(+), 2 deletions(-)

Approvals:
  Jenkins Builder: Verified
  pespin: Looks good to me, but someone else must approve
  fixeria: Looks good to me, approved



diff --git a/ttcn3-tcpdump-stop.sh b/ttcn3-tcpdump-stop.sh
index 4fbc53f..faf5b2b 100755
--- a/ttcn3-tcpdump-stop.sh
+++ b/ttcn3-tcpdump-stop.sh
@@ -35,10 +35,15 @@
 # Order the SUT to print a talloc report
 if [ "z$OSMO_SUT_HOST" != "z" ] && [ "z$OSMO_SUT_PORT" != "z" ]; then
 	if [ -x "$(command -v osmo_interact_vty.py)" ]; then
-		osmo_interact_vty.py \
+		echo "Saving talloc report from $OSMO_SUT_HOST:$OSMO_SUT_PORT to $TESTCASE.talloc"
+		if ! timeout 5 osmo_interact_vty.py \
 			-H $OSMO_SUT_HOST -p $OSMO_SUT_PORT \
 			-c "en; show talloc-context application full" \
-				> "$TTCN3_PCAP_PATH/$TESTCASE.talloc"
+				> "$TTCN3_PCAP_PATH/$TESTCASE.talloc"; then
+			echo
+			echo "ERROR: failed to get talloc report via vty"
+			echo
+		fi
 	else
 		echo "Missing osmo_interact_vty.py from osmo-python-tests!"
 		echo " -> Unable to obtain talloc report from the SUT"

-- 
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/26601
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: I1bc5baeb94ecd25e1cdab98b060b99747c19d1f9
Gerrit-Change-Number: 26601
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith at sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy at sysmocom.de>
Gerrit-Reviewer: osmith <osmith at sysmocom.de>
Gerrit-Reviewer: pespin <pespin at sysmocom.de>
Gerrit-MessageType: merged
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20211217/3d09d6bf/attachment.htm>


More information about the gerrit-log mailing list